         @program prog_code,prog_name

LEVELS   equ      4

vram     equ      0
map      equ      3600
paddle   equ      3720
bx       equ      3722
by       equ      3724
bxv      equ      3726
byv      equ      3728
level    equ      3730
lives    equ      3732
stack    equ      3734
score    equ      3738
win      equ      3742
hit      equ      3744
cheat    equ      3746
bonust   equ      3748
expand   equ      3750
bonusx   equ      3752
bonusy   equ      3754

DO_TEXT  MACRO

         IFLE     (8*\1)-127
                  moveq    #8*\1,d1
         ENDC
         IFGT     (8*\1)-127
                  move.w   #8*\1,d1
         ENDC
         IFLE     (6*\2)-127
                  moveq    #6*\2,d0
         ENDC
         IFGT     (6*\2)-127
                  move.w   #6*\2,d0
         ENDC
         lea      \3(pc),a1
         jsr      skittles[text]
         ENDM

prog_code:
         moveq    #46,d0
         move.l   #3800,d1
         lea      program,a0
         jmp      skittle3[init_gs]
program: move.l   0,d0
         cmp.l    #$98765432,d0
         bne.s    normal
         clr.w    level(a6)
         move.l   4,a1
         lea      map(a6),a0
         moveq    #14,d0
tl1      clr.b    (a0)+
         dbra     d0,tl1
         moveq    #104,d0
tl2      move.b   (a1)+,(a0)+
         dbra     d0,tl2
         bra      sgame
normal:  jsr      skittle3[gs_cls]

         DO_TEXT  1,3,l1
         DO_TEXT  3,1,l3
         DO_TEXT  4,2,l4
         DO_TEXT  6,0,l6

         DO_TEXT  1,22,r1
         DO_TEXT  3,21,r3
         DO_TEXT  4,21,r4
         DO_TEXT  5,21,r5
         DO_TEXT  7,22,r7
         DO_TEXT  9,21,r9
         DO_TEXT  10,21,r10
         DO_TEXT  11,21,r11
         DO_TEXT  12,21,r12
         DO_TEXT  14,20,r14
         DO_TEXT  15,20,r15

         moveq    #1,d6
title_loop:
         move.w   #%1111111111111110,$600018
         nop
         moveq    #-1,d0
slow:    dbra     d0,slow
         move.w   $60001a,d7
         btst     #5,d7
         bne.s    no_up
         addq.w   #1,d6
         cmpi.w   #LEVELS+1,d6
         bne.s    no_up
         moveq    #1,d6
no_up:   btst     #7,d7
         bne.s    no_down
         subq.w   #1,d6
         bgt.s    no_down
         moveq    #LEVELS,d6
no_down: move.l   d6,d0
         moveq    #2,d4
         moveq    #6,d1
         moveq    #12,d2
         jsr      skittle2[put_dec]
         move.w   d6,level(a6)

         bsr      init_map
         lea      brick_p_images(pc),a2
         lea      2160-3840(A6),A4
         lea      brick_p_images_g(pc),a5
         lea      LCD_MEM+2160,a0
         lea      map(a6),a1

         moveq    #7,d0
y_loop2: moveq    #14,d1
x_loop2: move.b   (a1)+,d2
         ext.w    d2
         lsl.w    #2,d2
         lea      0(a2,d2.w),a3
         move.b   (a3)+,(a0)+
         move.b   (a3)+,29(a0)
         move.b   (a3)+,59(a0)
         move.b   (a3)+,89(a0)
         lea      0(a5,d2.w),a3
         move.b   (a3)+,(a4)+
         move.b   (a3)+,29(a4)
         move.b   (a3)+,59(a4)
         move.b   (a3)+,89(a4)
         dbra     d1,x_loop2
         lea      105(a0),a0
         lea      105(a4),a4
         dbra     d0,y_loop2

         move.w   #%1111111011111111,$600018
         nop
         btst     #6,$60001b
         bne.s    noesc
         rts
noesc:   move.w   #%1111111110111111,$600018
         nop
         btst     #6,$60001b
         bne      title_loop

sgame:   jsr      skittle3[gs_cls]
         move.w   #10,lives(a6)
         clr.w    cheat(a6)
         btst     #5,$60001b
         seq      cheat(a6)
         clr.l    win(a6)
         clr.l    score(a6)
         move.l   a7,stack(a6)

         moveq    #0,d0
         moveq    #120,d1
         lea      bottom_msg,a1
         jsr      skittles[text]

level_loop:
         move.w   #120*4,paddle(a6)
         move.w   #126*4,bx(a6)
         move.w   #111,by(a6)
         move.w   #-1,bxv(a6)
         move.w   #-1,byv(a6)
         subq.w   #1,lives(a6)
         clr.l    bonust(a6)
         tst.w    win(a6)
         beq.s    no_win
         move.w   level(a6),d0
         beq      gameover_win
         cmp.w    #LEVELS,d0
         beq      gameover_win
         addq.w   #1,level(a6)
         bsr      init_map
         clr.w    win(a6)
         addq.w   #2,lives(a6)
         add.l    #1000,score(a6)
no_win:  tst.w    lives(a6)
         beq      gameover_lose
         bsr      render_screen
         lea      -3840(a6),a0
         lea      map(a6),a1
         lea      brick_images_g(pc),a2
         moveq    #7,d0
y_loop3: moveq    #14,d1
x_loop3: move.b   (a1)+,d2
         ext.w    d2
         lsl.w    #4,d2
         lea      0(a2,d2.w),a3
         move.w   (a3)+,(a0)+
         move.w   (a3)+,28(a0)
         move.w   (a3)+,58(a0)
         move.w   (a3)+,88(a0)
         move.w   (a3)+,118(a0)
         move.w   (a3)+,148(a0)
         move.w   (a3)+,178(a0)
         move.w   (a3),208(a0)
         dbra     d1,x_loop3
         lea      210(a0),a0
         dbra     d0,y_loop3

         bsr      wait_enter
         bsr      play_level
         bra      level_loop

win_level:
         move.w   #1,win(a6)
         rts

play_level:
         bsr      render_screen

         moveq    #8,d7
         move.w   #%1111111110111111,$600018
         nop
         btst     #4,$60001b
         bne.s    noslow
         moveq    #2,d7
noslow:  btst     #6,$60001b
         bne.s    nopause
         bsr      wait_enter
         bra.s    play_level
nopause: move.w   #%1111111111111110,$600018

         lea      map(a6),a0
         moveq    #30-1,d0
         moveq    #0,d1
cwl:     or.l     (a0)+,d1
         dbra     d0,cwl
         and.l    #$03030303,d1
         beq.s    win_level

         move.w   $60001a,d6
         btst     #4,d6
         bne.s    noleft
         sub.w    d7,paddle(a6)
         bge.s    noleft
         clr.w    paddle(a6)
noleft:  btst     #6,d6
         bne.s    noright
         move.w   #892,d5
         tst.w    expand(a6)
         beq.s    nexps
         move.w   #824,d5
nexps:   add.w    d7,paddle(a6)
         cmp.w    paddle(a6),d5
         bge.s    noright
         move.w   d5,paddle(a6)
noright:
         move.w   bx(a6),d0
         add.w    bxv(a6),d0
         cmp.w    #13,d0
         bgt.s    noblo
         neg.w    bxv(a6)
         bgt.s    noblo
         neg.w    bxv(a6)
noblo:   cmp.w    #946,d0
         blt.s    nobro
         neg.w    bxv(a6)
         blt.s    nobro
         neg.w    bxv(a6)
nobro:   move.w   d0,bx(a6)

         bsr      testhit
         tst.w    hit(a6)
         beq.s    nohit1
         neg.w    bxv(a6)
         move.w   bxv(a6),d5
         add.w    d5,bx(a6)
nohit1:    
         move.w   by(a6),d0
         add.w    byv(a6),d0
         cmp.w    #3,d0
         bge.s    notop
         move.w   #1,byv(a6)
notop:   cmp.w    #115,d0
         blt.s    ydone
         bgt.s    return
         move.w   bx(a6),d1
         sub.w    paddle(a6),d1
         subq.w   #2,d1
         blt.s    ydone
         tst.w    expand(a6)
         beq.s    nexpb
         lsr.w    #1,d1
nexpb:   cmp.w    #70,d1
         bge.s    ydone
         lea      paddle_bounces,a1
         move.b   0(a1,d1.w),d1
         ext.w    d1
         move.w   d1,bxv(a6)
         move.w   #-1,byv(a6)

ydone:   move.w   d0,by(a6)

         bsr      testhit
         tst.w    hit(a6)
         beq.s    nohit2
         neg.w    byv(a6)
         move.w   byv(a6),d5
         add.w    d5,by(a6)
nohit2:    
         move.w   #%1111111011111111,$600018
         nop
         btst     #6,$60001b
         beq.s    quit_game
         bra      play_level
         rts
return:  tst.w    cheat(a6)
         bne.s    cheating
         rts
cheating move.w   #-1,byv(a6)
         bra      play_level

quit_game:
         move.l   stack(a6),a7
         bsr      wait_enter

testhit: clr.w    hit(a6)
         move.w   by(a6),d0
         btst     #6,d0
         bne.s    not_hit
         lea      map(a6),a1
         lsr.w    #3,d0
         mulu     #15,d0
         move.w   bx(a6),d1
         lsr.w    #6,d1
         add.w    d0,d1
         move.b   0(a1,d1.w),d2
         beq.s    not_hit
         sne.w    hit(a6)
         add.w    d2,d2
         move.w   hitcode(pc,d2.w),d2
         jsr      hitcode(pc,d2.w)
         move.b   0(a1,d1.w),d2
         ext.w    d2
         move.w   by(a6),d0
         lsr.w    #3,d0
         mulu     #240,d0
         move.w   bx(a6),d1
         lsr.w    #6,d1
         add.w    d1,d1
         add.w    d1,d0
         lea      -3840(A6),a0
         add.w    d0,a0
         lsl.w    #4,d2
         lea      brick_images_g(pc),a2
         lea      0(a2,d2.w),a3
         move.w   (a3)+,(a0)+
         move.w   (a3)+,28(a0)
         move.w   (a3)+,58(a0)
         move.w   (a3)+,88(a0)
         move.w   (a3)+,118(a0)
         move.w   (a3)+,148(a0)
         move.w   (a3)+,178(a0)
         move.w   (a3),208(a0)
not_hit: rts

hitcode: dc.w     not_hit
         dc.w     normh-hitcode
         dc.w     normh-hitcode
         dc.w     normh-hitcode
         dc.w     solid-hitcode
         dc.w     normh-hitcode
         dc.w     dropex-hitcode
         dc.w     dropse-hitcode 
solid:   rts
normh:   subq.b   #1,0(a1,d1.w)
         add.l    #5,score(a6)
         rts
dropex:  moveq    #4,d3
         bra.s    dropcom
dropse:  moveq    #8,d3
dropcom: tst.w    bonust(a6)
         bne.s    nobonus
         move.w   d3,bonust(a6)
         move.w   bx(a6),d0
         and.w    #$3c0,d0
         move.w   d0,bonusx(a6)
         move.w   by(a6),d0
         and.w    #$f8,d0
         move.w   d0,bonusy(a6)
nobonus: clr.b    0(a1,d1.w)
         rts

bonustbl dc.w     exp_code-bonustbl
         dc.w     exp_pic-bonustbl
         dc.w     se_code-bonustbl
         dc.w     se_pic-bonustbl
exp_code st       expand(a6)
         add.l    #100,score(a6)
         rts
se_code  add.l    #1000,score(a6)
         rts

exp_pic: dc.w     %1101000110001011
         dc.w     %1000101001010001
         dc.w     %1000010000100001
         dc.w     %1100101001010011

se_pic:  dc.w     %1100000110000011
         dc.w     %1000001111000001
         dc.w     %1000011111100001
         dc.w     %1100111111110011

bonusgotten:
         move.w   -4(a1,d2.w),d3
         jsr      0(a1,d3.w)
bonusgone:
         clr.w    bonust(a6)
         bra      nbn
render_screen:
         lea      (a6),a0
         lea      map(a6),a1
         lea      brick_images(pc),a2
         moveq    #7,d0
y_loop:  moveq    #14,d1
x_loop:  move.b   (a1)+,d2
         ext.w    d2
         lsl.w    #4,d2
         lea      0(a2,d2.w),a3
         move.w   (a3)+,(a0)+
         move.w   (a3)+,28(a0)
         move.w   (a3)+,58(a0)
         move.w   (a3)+,88(a0)
         move.w   (a3)+,118(a0)
         move.w   (a3)+,148(a0)
         move.w   (a3)+,178(a0)
         move.w   (a3),208(a0)
         dbra     d1,x_loop
         lea      210(a0),a0
         dbra     d0,y_loop

         move.w   #(1680/(8*7))-1,d0
         lea      1680(a0),a0
         moveq    #0,d1
         moveq    #0,d2
         moveq    #0,d3
         moveq    #0,d4
         moveq    #0,d5
         moveq    #0,d6
         moveq    #0,d7

bottomd: movem.l  d1-d7,-(a0)
         movem.l  d1-d7,-(a0)
         dbra     d0,bottomd

         move.w   paddle(a6),d0
         lsr.w    #2,d0
         moveq    #116,d1
         lea      sprite_paddle(pc),a0
         lea      (a6),a1
         tst.w    expand(a6)
         bne.s    expanded
         jsr      skittles[put_sprite]
         bra.s    smallp
expanded lea      18(a0),a0
         movem.l  d0/d1/a0/a1,-(sp)
         jsr      skittles[put_sprite]
         movem.l  (sp)+,d0/d1/a0/a1
         lea      18(a0),a0
         add.w    #17,d0
         jsr      skittles[put_sprite]
smallp:
         move.w   bx(a6),d0
         lsr.w    #2,d0
         move.w   by(a6),d1
         lea      (a6),a1
         lea      sprite_ball(pc),a0
         subq.w   #2,d0
         subq.w   #2,d1
         jsr      skittles[put_sprite]

         move.w   bonust(a6),d2
         beq.s    nbn
         lea      (a6),a0
         move.w   bonusx(a6),d0
         lsr.w    #5,d0
         add.w    d0,a0
         move.w   bonusy(a6),d0
         mulu     #30,d0
         add.l    d0,a0
         lea      bonustbl,a1
         move.w   -2(a1,d2.w),d3
         lea      0(a1,d3.w),a2
         move.w   (a2)+,(a0)
         move.w   (a2)+,30(a0)
         move.w   (a2)+,60(a0)
         move.w   (a2)+,90(a0)
         move.w   bonusy(a6),d0
         btst     #0,by+1(a6)
         beq.s    noinc
         addq.w   #1,d0
         move.w   d0,bonusy(a6)
noinc    cmp.w    #117,d0
         beq      bonusgone
         cmp.w    #114,d0
         blt.s    nbn
         move.w   paddle(a6),d0
         sub.w    bonusx(a6),d0
         add.w    #64,d0
         blt.s    nbn
         move.w   #132,d7
         tst.w    expand(a6)
         beq.s    nexpg
         move.w   #264,d7
nexpg:   cmp.w    d7,d0
         blt      bonusgotten
nbn:   
         lea      (a6),a0
         lea      LCD_MEM,a1
         move.w   #(3600/(4*12))-1,d0
copyvr:  move.l   (a0)+,(a1)+
         move.l   (a0)+,(a1)+
         move.l   (a0)+,(a1)+
         move.l   (a0)+,(a1)+
         move.l   (a0)+,(a1)+
         move.l   (a0)+,(a1)+
         move.l   (a0)+,(a1)+
         move.l   (a0)+,(a1)+
         move.l   (a0)+,(a1)+
         move.l   (a0)+,(a1)+
         move.l   (a0)+,(a1)+
         move.l   (a0)+,(a1)+
         dbra     d0,copyvr

         moveq    #15,d1
         moveq    #6,d2
         moveq    #5,d4
         move.l   score(a6),d0
         jsr      skittle2[put_dec]
         moveq    #15,d1
         moveq    #18,d2
         moveq    #2,d4
         move.w   lives(a6),d0
         jsr      skittle2[put_dec]
         moveq    #15,d1
         moveq    #27,d2
         moveq    #2,d4
         move.w   level(a6),d0
         jmp      skittle2[put_dec]

wait_enter:
         moveq    #51,d0
         moveq    #90,d1
         lea      msgenter,a1
         jsr      skittles[text]
         move.w   #%1111111110111111,$600018
         nop
wel1:    btst     #6,$60001b
         beq.s    wel1
wel2:    btst     #6,$60001b
         bne.s    wel2
wel3:    btst     #6,$60001b
         beq.s    wel3
         rts

init_map move.w   level(a6),d0
         lea      level_maps-105,a0
         mulu     #105,d0
         lea      0(a0,d0.l),a0
         lea      map(a6),a1

         moveq    #0,d4
         moveq    #14,d3
m0l:     move.b   d4,(a1)+
         dbra     d3,m0l

         moveq    #105-1,d0
mil:     move.b   (a0)+,(a1)+
         dbra     d0,mil
         rts

gameover_win:
         move.l   score(a6),d6
         add.l    #10000,d6
         move.w   lives(a6),d7
livel:   move.l   #50000,d0
wl:      subq.l   #1,d0
         bne.s    wl
         subq.w   #1,d7
         move.w   d7,d0
         moveq    #15,d1
         moveq    #18,d2
         moveq    #2,d4
         jsr      skittle2[put_dec]
         moveq    #15,d1
         moveq    #6,d2
         moveq    #5,d4
         add.l    #2000,d6
         tst.w    cheat(a6)
         beq.s    nc
         clr.l    d6
nc:      move.l   d6,d0
         jsr      skittle2[put_dec]
         tst.w    d7
         bne.s    livel
         move.l   d6,score(a6)

         moveq    #60,d0
         moveq    #80,d1
         lea      msg_win,a1
         bra.s    final

gameover_lose:
         moveq    #60,d0
         moveq    #80,d1
         lea      msg_lose,a1
final:   jsr      skittles[text]
         bsr      wait_enter
         jsr      skittle3[gs_cls]
         move.l   score(a6),d7
         lea      scores(pc),a5
         jmp      skittle2[high_score]

brick_images:
         dc.w     0,0,0,0,0,0,0,0

         dc.w     %1111111111111111
         dc.w     %1000000000000001
         dc.w     %1000000000000001
         dc.w     %1000000000000001
         dc.w     %1000000000000001
         dc.w     %1000000000000001
         dc.w     %1000000000000001
         dc.w     %1111111111111111

         dc.w     %1111111111111111
         dc.w     %1000000000000001
         dc.w     %1000000000000001
         dc.w     %1000000000000001
         dc.w     %1000000000000001
         dc.w     %1000000000000001
         dc.w     %1000000000000001
         dc.w     %1111111111111111

         dc.w     %1111111111111111
         dc.w     %1111111111111111
         dc.w     %1111111111111111
         dc.w     %1111111111111111
         dc.w     %1111111111111111
         dc.w     %1111111111111111
         dc.w     %1111111111111111
         dc.w     %1111111111111111

         dc.w     %1010101010101010
         dc.w     %0101010101010101
         dc.w     %1010101010101010
         dc.w     %0101010101010101
         dc.w     %1010101010101010
         dc.w     %0101010101010101
         dc.w     %1010101010101010
         dc.w     %0101010101010101

         dc.w     %0000000000000000
         dc.w     %0000000000000000
         dc.w     %0000000000000000
         dc.w     %0000000000000000
         dc.w     %0000000000000000
         dc.w     %0000000000000000
         dc.w     %0000000000000000
         dc.w     %0000000000000000

         dc.w     %1111111111111111
         dc.w     %1000000000000001
         dc.w     %1000000000000001
         dc.w     %1000000000000001
         dc.w     %1000000000000001
         dc.w     %1000000000000001
         dc.w     %1000000000000001
         dc.w     %1111111111111111

         dc.w     %1111111111111111
         dc.w     %1000000000000001
         dc.w     %1000000000000001
         dc.w     %1000000000000001
         dc.w     %1000000000000001
         dc.w     %1000000000000001
         dc.w     %1000000000000001
         dc.w     %1111111111111111

brick_images_g:
         dc.w     0,0,0,0,0,0,0,0

         dc.w     %1111111111111111
         dc.w     %1010101010101011
         dc.w     %1101010101010101
         dc.w     %1010101010101011
         dc.w     %1101010101010101
         dc.w     %1010101010101011  
         dc.w     %1101010101010101
         dc.w     %1111111111111111

         dc.w     %1111111111111111
         dc.w     %1111111111111111
         dc.w     %1111111111111111
         dc.w     %1111111111111111
         dc.w     %1111111111111111
         dc.w     %1111111111111111  
         dc.w     %1111111111111111
         dc.w     %1111111111111111

         dc.w     %1111111111111111
         dc.w     %1000000000000001
         dc.w     %1000000000000001
         dc.w     %1000000000000001
         dc.w     %1000000000000001
         dc.w     %1000000000000001  
         dc.w     %1000000000000001
         dc.w     %1111111111111111

         dc.w     %1111111111111111
         dc.w     %1111111111111111
         dc.w     %1111111111111111
         dc.w     %1111111111111111
         dc.w     %1111111111111111
         dc.w     %1111111111111111 
         dc.w     %1111111111111111 
         dc.w     %1111111111111111

         dc.w     %1111111111111111
         dc.w     %1111111111111111
         dc.w     %1111111111111111
         dc.w     %1111111111111111 
         dc.w     %1111111111111111    
         dc.w     %1111111111111111
         dc.w     %1111111111111111
         dc.w     %1111111111111111

         dc.w     %1111111111111111
         dc.w     %1010101010101011
         dc.w     %1101010101010101
         dc.w     %1010101010101011
         dc.w     %1101010101010101
         dc.w     %1010101010101011  
         dc.w     %1101010101010101
         dc.w     %1111111111111111

         dc.w     %1111111111111111
         dc.w     %1010101010101011
         dc.w     %1101010101010101
         dc.w     %1010101010101011
         dc.w     %1101010101010101
         dc.w     %1010101010101011  
         dc.w     %1101010101010101
         dc.w     %1111111111111111

sprite_ball:
         dc.w     4
         dc.l     %00000000011100000000000000000000
         dc.l     %00000000111110000000000000000000
         dc.l     %00000000111110000000000000000000
         dc.l     %00000000111110000000000000000000
         dc.l     %00000000011100000000000000000000
sprite_paddle:
         dc.w     3
         dc.l     %00000000111111111111111110000000
         dc.l     %00000000010000000000000100000000
         dc.l     %00000000001000000000001000000000
         dc.l     %00000000000111111111110000000000
sprite_paddle_l:
         dc.w     3
         dc.l     %00000000111111111111111110000000
         dc.l     %00000000010000000000000000000000
         dc.l     %00000000001000000000000000000000
         dc.l     %00000000000111111111111110000000
sprite_paddle_r:
         dc.w     3
         dc.l     %00000000111111111111111110000000
         dc.l     %00000000000000000000000100000000
         dc.l     %00000000000000000000001000000000
         dc.l     %00000000111111111111110000000000

scores:  dc.b     "Default score            ",0
         dc.l     8000
         dc.b     "Default score            ",0
         dc.l     8000
         dc.b     "Default score            ",0
         dc.l     7000
         dc.b     "Default score            ",0
         dc.l     6000
         dc.b     "Default score            ",0
         dc.l     6000
         dc.b     "Default score            ",0
         dc.l     5000
         dc.b     "Default score            ",0
         dc.l     5000
         dc.b     "Default score            ",0
         dc.l     4000
         dc.b     "Default score            ",0
         dc.l     4000
         dc.b     "Default score            ",0
         dc.l     3000
         dc.b     "Default score            ",0
         dc.l     3000
         dc.b     "Default score            ",0
         dc.l     2000
         dc.b     "Default score            ",0
         dc.l     2000
         dc.b     "Default score            ",0
         dc.l     1000

brick_p_images:
         dc.b     0,0,0,0

         dc.b     %11111111
         dc.b     %10000001
         dc.b     %10000001
         dc.b     %11111111

         dc.b     %11111111
         dc.b     %10000001
         dc.b     %10000001
         dc.b     %11111111

         dc.b     %11111111
         dc.b     %11111111
         dc.b     %11111111
         dc.b     %11111111

         dc.b     %10101010
         dc.b     %01010101
         DC.B     %10101010
         DC.B     %01010101

         dc.b     %00000000
         dc.b     %00000000
         dc.b     %00000000
         DC.B     %00000000

         dc.b     %11111111
         dc.b     %10000001
         dc.b     %10000001
         dc.b     %11111111

         dc.b     %11111111
         dc.b     %10000001
         dc.b     %10000001
         dc.b     %11111111

brick_p_images_g:
         dc.b     0,0,0,0

         dc.b     %11111111
         dc.b     %11010101
         dc.b     %10101011
         dc.b     %11111111

         dc.b     %11111111
         dc.b     %11111111
         dc.b     %11111111
         dc.b     %11111111

         dc.b     %11111111
         dc.b     %10000001
         dc.b     %10000001
         dc.b     %11111111

         dc.b     %11111111
         DC.B     %11111111
         DC.B     %11111111
         dc.b     %11111111

         dc.b     %11111111
         DC.B     %11111111
         DC.B     %11111111
         dc.b     %11111111

         dc.b     %11111111
         dc.b     %11010101
         dc.b     %10101011
         dc.b     %11111111

         dc.b     %11111111
         dc.b     %11010101
         dc.b     %10101011
         dc.b     %11111111

level_maps:

         dc.b     4,4,4,0,0,0,0,0,0,0,0,0,4,4,4
         dc.b     4,4,0,0,0,0,0,0,0,0,0,0,0,4,4
         dc.b     4,0,0,0,0,0,0,0,0,0,0,0,0,0,4
         dc.b     0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
         dc.b     0,0,0,0,2,2,2,2,2,2,2,0,0,0,0
         dc.b     0,0,0,0,1,6,1,1,1,7,1,0,0,0,0
         dc.b     0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
          
         dc.b     2,0,0,0,0,0,0,0,0,0,0,0,0,0,2
         dc.b     2,2,6,1,1,1,1,1,1,1,1,1,1,2,2
         dc.b     2,0,0,0,0,0,0,0,0,0,0,0,0,0,2
         dc.b     1,0,0,0,0,0,0,0,0,0,0,0,0,0,1
         dc.b     1,1,1,1,1,1,0,0,0,1,1,7,1,1,1
         dc.b     1,0,0,0,0,0,0,0,0,0,0,0,0,0,1
         dc.b     1,0,0,0,0,0,0,0,0,0,0,0,0,0,1

         dc.b     0,0,0,0,3,3,3,3,3,3,3,3,3,3,3
         dc.b     0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
         dc.b     0,0,0,0,4,4,4,4,4,4,4,4,4,4,4
         dc.b     0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
         dc.b     1,1,1,1,1,1,1,1,1,1,1,0,0,0,0
         dc.b     0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
         dc.b     4,4,4,4,4,4,4,4,4,4,4,0,0,0,0

         dc.b     1,0,1,0,1,0,1,0,1,0,1,0,1,0,1
         dc.b     0,1,0,1,0,1,0,1,0,1,0,1,0,1,0
         dc.b     1,0,1,0,1,0,1,0,1,0,1,0,1,0,1
         dc.b     0,1,0,1,0,1,0,1,0,1,0,1,0,1,0
         dc.b     1,0,1,0,1,0,1,0,1,0,1,0,1,0,1
         dc.b     0,1,0,1,0,1,0,1,0,1,0,1,0,1,0
         dc.b     4,4,0,0,0,0,0,0,0,0,0,0,0,4,4

paddle_bounces:
         dc.b     -5,-5,-5,-5
         dc.b     -4,-4,-4,-4,-4
         dc.b     -3,-3,-3,-3,-3,-3
         dc.b     -2,-2,-2,-2,-2,-2,-2
         dc.b     -1,-1,-1,-1,-1,-1,-1,-1
         dc.b     0,0,0,0,0,0,0,0,0,0
         dc.b     1,1,1,1,1,1,1,1
         dc.b     2,2,2,2,2,2,2
         dc.b     3,3,3,3,3,3
         dc.b     4,4,4,4,4
         dc.b     5,5,5,5

         dc.b     5,5
prog_name:
         dc.b     "2.0.016 / Patrick Davidson",0
msg_lose:
         dc.b     "GAME OVER - YOU LOSE !!",0
msg_win:
         dc.b     "WoW!  YoU HaVe WoN!!!!!",0
msgenter:
         dc.b     "Press [ENTER] below cursor",0
bottom_msg:
         dc.b     "  SCORE xxxxxxxx  LIVES xxxx  LEVEL xxxx",0  

l1:      dc.b     "L U N O I D",0
l3:      dc.b     "by Patrick Davidson",0
l4:      dc.b     "(ariwsi@juno.com)",0
l6:      dc.b     "Preview : Level",0

r1:      dc.b     "TITLE CONTROLS",0
r3:      dc.b     "Arrows Select level",0
r4:      dc.b     "Enter2 Begin game",0
r5:      dc.b     "ESC    Never use!!!",0
r7:      dc.b     "INGAME CONTROLS",0
r9:      dc.b     "Arrows Move paddle",0
r10:     dc.b     "F1     Move slower",0
r11:     dc.b     "Enter2 Pause/resume",0
r12:     dc.b     "ESC    Never use!!!",0
r14:     dc.b     "Enter2 means the one",0
r15:     dc.b     "under the cursor pad",0

         reloc_open
         add_library       hexlib
         add_library       skittles
         add_library       skittle2
         add_library       skittle3
         reloc_close

         end
